
#ifndef __PL_LEXER_H
    #define __PL_LEXER_H

    #ifndef yyFlexLexerOnce
        #define yyFlexLexer PL_FlexLexer
        #include<FlexLexer.h>
    #endif


    #undef YY_DECL
    #define YY_DECL int Prolog::PLLexer::yylex()
    #include "pl_parser.hpp"

    namespace Prolog
    {
        class PLLexer : public PL_FlexLexer
        {
            private:
                PLParser::semantic_type * yylval;
                int yylex();
            public:
                int yylex(PLParser::semantic_type * lval);
                PLLexer(std::istream& is);
        };
    }


#endif
