
% Test Input for TU-Prolog

father(bart,homer).
father(lisa,homer).
father(maggie,homer).
father(homer,abraham).
father(marge,clancy).
father(patty,clancy).
father(selma,clancy).


husband(marge,homer).
husband(mona,abraham).
husband(clancy,jaqueline).


mother(C,M) :- father(C,F), husband(M,F).


parent(C,P) :- father(C,P).
parent(C,P) :- mother(C,P).


sibling(X,Y) :- father(X,F), father(Y,F).


ancestor(C,A) :- parent(C,A).
ancestor(C,A) :- parent(C,T), ancestor(T,A).



?- mother(bart,marge).
?- father(bart,X).
?- ancestor(bart,abraham).
?- mother(bart,lisa).
?- sibling(bart,lisa).
?- sibling(bart,homer).
?- mother(bart, M), father(bart, F), mother(lisa, M), father(lisa, F).
